import os

from django.http import HttpResponse, HttpResponseRedirect, HttpResponseForbidden
from django.shortcuts import render
# from django.db.models import Manager
from django.contrib.auth import authenticate, login

# только для тестирования!
import requests

TEST_BASE_FETCH = "https://test.wawaa.ru/dev-fetch.php"


def view_index(request):
    if request.user.is_authenticated:
        return render(request, 'index.html')
    else:
        return HttpResponseRedirect('/account/login')


def view_stats(request):
    if request.user.is_authenticated:
        # только для тестирования!
        res = requests.get(TEST_BASE_FETCH + "?stats", headers={'Authorization': os.getenv("TEST_AUTH")})
        response = HttpResponse(res.content)
        response.headers["Content-type"] = response.headers["Content-type"]
        return response
    else:
        return HttpResponseForbidden()


def view_tank_chart(request):
    if request.user.is_authenticated:
        # только для тестирования!
        days = request.GET.get('days', '7')
        res = requests.get(TEST_BASE_FETCH + "?tank_chart=" + days, headers={'Authorization': os.getenv("TEST_AUTH")})
        response = HttpResponse(res.content)
        response.headers["Content-type"] = response.headers["Content-type"]
        return response
    else:
        return HttpResponseForbidden()
